package com.gsww.plugin.utils;

/**
 * Title: 系统常量
 * <p/>
 */
public class Constants {
	public static String CHAR_SET = "UTF-8";
	public static final String SYS_TAG = "cdyx";
	//运算符
	public static String OPERATOR_ADD = "ADD";
	public static String OPERATOR_SUB = "SUB";
	/** 手机保姆 嵌入程序名  */
	public static final String ESURFING_APK = "mobileNurse1.3.6_uc_11-15.apk";
	public static final String APKVERSION = "1.3.6";
	public static final String ESURFING_CLIENT_NAME = "翼起玩3G";
	/** 客户端OEM授权ID */
	public static final String ESURFING_CLIENT_OEMID = "1";
	/**发起求助内容*/
	public static final String ESURFING_HELP_DEFINED = "";
	
	/** 请求成功  */
	public static final String RESPONSE_VALUE_SUCCESS = "0";
	/** 请求失败 */
	public static final String RESPONSE_VALUE_ERROR = "1";
	/*****保存系统设置*****/
	public static final String USER_ID = "USER_ID"; //用户ID
	public static final String USER_MOBILE = "USER_MOBILE";//用户MObile
	public static final String USER_NAME = "USER_NAME";//用户姓名
	public static final String USER_TRAFFICUSER = "USER_TRAFFICUSER"; //用户是否流量运营成员
	public static final String USER_ORG = "USER_ORG"; //用户单位
	public static final String USER_ISAUTOLOGIN = "USER_ISAUTOLOGIN"; //用户是否自动登录
	public static final String USER_ISMANAGER = "USER_ISMANAGER"; //用户是否客户经理
	public static final String USER_BRANCH = "USER_BRANCH"; //用户类型
	public static final String WELCOME_URL = "WELCOME_URL"; //系统登录页面欢迎界面
	public static final String SYS_VERSION  ="sys_version"; //是否第一次运行程序
	public static final String TABHOST_FLOWPACKAGE  ="tabhost_flowpackage"; //是否显示流量包
	/**
	 * 版本类型
	 */
	public static final String BRANCH_STUFF = "0";
	public static final String BRANCH_CAMPUS = "1";
	
	public static final String SAVE_SETTING_INFO = "SAVE_SETTING_INFO";
	
	/*************应用程序类型******************/
	public static final String main_flip = "zxsp"; //首页动图
	public static final String main_item = "zrsp"; //首页分享
	/*****************参数类型************************/
	public static final String PARA_TYPE_APP = "APP_STORE_TYPE"; // 应用
	public static final String PARA_TYPE_VIDEO = "VIDEO_STORE_TYPE"; //视频
	public static final String PARA_TYPE_INEWS = "INTEREST_TYPE"; //趣闻
	/*****************推荐类型************************/
	public static final String APP = "应用"; //推荐类型
	public static final String VIDEO = "视频"; //推荐类型
	public static final String INEWS = "趣闻"; //推荐类型
	public static final String RECOM_TYPE = "recom_type"; //推荐类型
	public static final String RECOM_TYPE_APP = "0"; // 应用
	public static final String RECOM_TYPE_APPPAG = "1"; //应用包 
	public static final String RECOM_TYPE_VIDEO = "2"; //视频
	public static final String RECOM_TYPE_INEWS = "3"; //趣闻
	public static final String RECOM_TYPE_EVENT = "4"; //活动
	public static final String RECOM_TYPE_FLOWPACKAGE = "5"; //流量包
	public static final String RECOM_TYPE_SCHOOL = "6"; //流量包
	

	/*****************商品类型************************/
	public static final String PRODUCT_SHIWU = "01"; //实物商品
	public static final String PRODUCT_DIANZI_KAMI = "02"; //卡密商品
	public static final String PRODUCT_DIANZI_MIMA = "03"; //密码商品
	/*****************是否领取************************/
	public static final String GOOD_YES = "1"; //已领取
	public static final String GOOD_NO = "0"; //未领取
	/*****************是否点击************************/
	public static final String ISCLICK_YES = "1"; //已点击
	public static final String ISCLICK_NO = "0"; //未点击
	/*****************是否成为达人************************/
	public static final String  ISHISTERY_YES = "1"; //是
	public static final String ISHISTERY_NO = "0"; //否
	
	
	/*****************活动类型************************/
	public static final String EVENT_WAP = "0"; //wap
	public static final String EVENT_NO_WAP = "1"; //非wap
	
	/*****************内容类型************************/
	public static final String RECOM_TYPE_LAST = "01"; //最新 
	public static final String RECOM_TYPE_HOT = "02"; //热门
	
	/*****************分享类型************************/
	public static final String SHARE_TYPE_MYCUS = "0"; //我的客户
	public static final String SHARE_TYPE_SENDCUS = "1"; //派单客户
	public static final String SHARE_TYPE_BOOK = "2"; //通讯录
	public static final String SHARE_TYPE_PHONE = "3";//号码
	public static final String SHARE_TYPE_GROUP = "4";//群组
	
	public static final String TABHOST_PERSONAL = "tabhost_personal"; //个人功能
	public static final String TABHOST_HOME = "tabhost_home"; //首页
	public static final String TABHOST_FLOWBAG = "tabhost_flowBag"; //首页
	public static final String TABHOST_APP = "tabhost_app"; //应用
	public static final String TABHOST_VIDEO = "tabhost_video"; //视频
	public static final String TABHOST_ANECDOTE = "tabhost_anecdote"; //趣闻
	public static final String TABHOST_EVENT = "tabhost_event"; //活动
	public static final String TABHOST_GOODS = "tabhost_goods"; //活动
	public static final String TABHOST_SETTING = "tabhost_setting"; //设置

	public static final int TABHOST_TYPE_PUBLIC = 0;//tabhost类型-普通版
	public static final int TABHOST_TYPE_FLOWPACKAGE = 1;//tabhost类型-显示流量包版

	/*******************请求命令**********************************/
	//首页
	public static final String CMD_HOME_HOT_LIST = "HOME_POPULAR_COMMEND";//首页热门推荐
	public static final String CMD_HOME_BANNER_LIST = "HOME_BANNER";//首页BANNER推荐
	//分享
	public static final String CMD_SHARE_LOG = "SHARE_LOG";
	public static final String CMD_SHARE_CUST = "SHARE_CUST";
	public static final String CMD_SHARE_GROUP = "SHARE_GROUP_LIST";
	// 推荐应用
	public static final String CMD_REC_APP_LIST = "COMMENTED_APP_LIST"; //推荐应用列表
	public static final String CMD_REC_APP_SEARCH = "CONTENT_QUERY_LIST"; //推荐应用程序搜索
	public static final String CMD_GET_SORT_LIST = "CONTENT_SORT_LIST"; //获取类型列表
	public static final String CMD_REC_CONTENT_DETAIL = "CONTENT_DETAIL_QUERY";//内容详情
	
	public static final String CMD_REC_APP_BAG_LIST = "APP_BAG_LIST"; //推荐应用列表
	public static final String CMD_REC_APP_BAG_INFO = "APP_BAG_INFO"; //应用包详细
	public static final String CMD_REC_FAV_LIST = "FAVORITES_INFO_LIST"; //我的收藏列表
	public static final String CMD_REC_FAV_ADD = "FAVORITES_INFO_ADD"; //我的收藏新增
	public static final String CMD_REC_FAV_DEL = "FAVORITES_INFO_DEL"; //我的收藏删除
	public static final String CMD_REC_FAV_END = "COMMEND_INFO_CI"; //向客户推荐应用
	public static final String CMD_REC_APP_DOWN = "APP_DOWNLOAD"; //客户端应用下载
	public static final String CMD_REC_APP_LISTS = "CONTENT_App_LIST"; //应用包列表
	public static final String CMD_REC_APPType_LISTS = "CONTENT_AppType_LIST"; //包分类列表
	// 推荐视频
	public static final String CMD_REC_VIDEO_LIST = "CONTENT_POPULAR_LIST"; //推荐视频列表
	public static final String CMD_REC_VIDEO_SEARCH = "VIDEO_STORE_LIST"; //推荐视频搜索
	
	
	// 客户
	public static final String CMD_CUS_LIST = "CUSTOMER_INFO_LIST"; //客户列表
	public static final String CMD_CUS_IMPORT = "CUSTOMER_INFO_IMPORT";//客户导入
	public static final String CMD_CUS_ADD = "0"; //新增客户
	public static final String CMD_CUS_EDIT = "1"; //修改客户
	public static final String CMD_CUS_DEL = "CUSTOMER_INFO_DELETE"; //删除客户
	public static final String CMD_CUS_DISTRIBUTE = "SEND_CUSTOMER_INFO_LIST"; //派单客户列表
	public static final String CMD_CUS_VIEW = "CUSTOMER_INFO_VIEW"; //客户详情
	//群组
	public static final String CMD_GROUP_LIST = "GROUP_LIST"; //群组列表
	public static final String CMD_GROUP_CUS_LIST = "CUSTOMER_GROUP_LIST";//群组客户列表
	public static final String CMD_GROUP_CUS_DEL= "DELETE_GROUP_CUSTOMER";//群组客户删除
	public static final String CMD_GROUP_ADD = "GROUP_CUSTOMER_SAVE"; //群组添加
	public static final String CMD_GROUP_DELETE = "GROUP_DELETE"; //群组删除
	public static final String CMD_GROUP_SEL = "CUSTOMER_GROUP_LIST"; //群组客户选择接口
	//积分商城
	public static final String CMD_INTEGRAL_MALL = "CARD_INFO_LIST"; //商品列表
	public static final String CMD_USER_RECHARG = "USER_RECHARG"; //兑换记录列表-xy
	public static final String CMD_CARD_EXCHANGE = "CARD_INFO_CHANGE_LIST"; //兑换结果
	public static final String CMD_RELAY_HISTORY = "RELAY_HISTORY"; //达人接力记录
	public static final String CMD_EXCHANGE_INTER_INFO = "EXCHANGE_INTER_INFO"; //达人接力积分

	//统计
	public static final String CMD_USER_ENC = "USER_ENCOURAGE"; //我的激励
	public static final String CMD_STATIC = "COMMENTED_STATIC"; //推荐统计
	public static final String CMD_STATIC_COMMEND_DETAIL = "MY_COMMEND_DETAIL";//推荐统计详情
	public static final String CMD_STATIC_INTEGRAL_DETAIL_CUS = "MY_INTEGRATION_DETAIL"; //我的客户积分详情
	public static final String CMD_STATIC_COMMEND_lIST = "MY_COMMEND_STATIC";//推荐统计列表
	public static final String CMD_STATIC_DETAIL = "COMMENTED_STATIC_INFO";//推荐统计详情
	public static final String CMD_STATIC_INTEGRAL_DIS = "SEND_CUSTOMER_INTEGRATION"; //派单客户积分详情
	public static final String CMD_STATIC_INTEGRAL_RANKING_CUR = "MY_INTEGRATION";//本月积分
	public static final String CMD_STATIC_INTEGRAL_RANKING_ACC = "MY_TOTAL_INTEGRATION";//累积积分
	public static final String CMD_INTEGRATION_HERO = "INTEGRATION_HERO";//累积积分

	public static final String CMD_STATIC_INTEGRAL_MYAll = "MY_ALL_INTEGRATION_STATIC";//我总积分统计
	public static final String CMD_STATIC_MY = "MY_INTEGRATION_STATIC";//我的积分
	public static final String CMD_STATIC_SEND = "SEND_INTEGRATION_STATIC";//配单积分
	public static final String CMD_WORK_SHEET = "WORK_SHEET";//派单积分

	// 信息
	public static final String CMD_TR_INFO_LIST = "TRAINING_INFO_LIST"; //培训资料列表
	public static final String CMD_TR_INFO_DETAIL = "TRAINING_INFO_VIEW"; //培训资料详细
	public static final String CMD_MR_INFO_LIST = "MARKETING_INFO_LIST"; //营销信息列表
	public static final String CMD_MR_INFO_DETAIL = "MARKETING_INFO_VIEW"; //营销信息详细

	//更多
	public static final String CMD_FEEDBACK = "FEEDBACK_INFO_ADD";//反馈建议
	public static final String CMD_SOFTWAREUPDATE = "SYSTEM_UPDATE";//反馈建议

	//认证
	public static final String CMD_SYS_AUTHCODE = "AUTH_CODE";//获取校验码
	public static final String CMD_SYS_AUTH = "USER_LOGIN";//认证
	//意见反馈
	public static final String CMD_FEED_BACK = "FEED_BACK";//意见反馈
	
	//关于我们
	public static final String SINA_MICROBLOGGING = "http://weibo.com/gs3g";//新浪微博
	public static final String RENREN_MICROBLOGGING = "http://www.renren.com/601296645";//人人微博
	public static final String YQW3G_MICROBLOGGING = "http://m.189gs.com";//QQ微博
	public static final String ICITY_MICROBLOGGING = "http://t.qq.com/yiqiwan3G";//QQ微博

	public static final int MESSAGE_ID_SUCCESS = 1;//线程操作成功的标识
	public static final int MESSAGE_ID_FAIL = 0;//线程操作失败的标识

	//我的积分类型
	public static final String TYPE_MY_INTEGRAL = "myIntegral";//我的积分
	public static final String TYPE_DS_INTEGRAL = "distributeIngegral";//派单客户积分
	
	//缺省情况下的通讯录机型为0
	public static final String[] MOBILE_TYPE = {"Android","WindowsPhone","Iphone","其它"};
	public static final String   MOBILE_TYPE_ANDROID ="Android";
	public static final String   MOBILE_TYPE_WP7 = "WindowsPhone";
	public static final String   MOBILE_TYPE_IPHONE ="Iphone";
	public static final String   MOBILE_TYPE_OTHER ="其它";
	
	//首页
	public static final String COMMEND_SIZE = "99";
	public static final String BINNER_SIZE = "99";
	public static final String CONTENT_LIST_NAME="ContentList";//内容列表名称
	public static final String CUSTOMER_LIST_NAME="CustomerList";//客户列表名称
	public static final String CONTENT_NAME="ContentInfo";//内容实体名称
	public static final String CONTENT_IMAGE="ContentImgs";//内容实体截图
	public static final String RELATED_CONTENT_LIST_NAME="RelatedContents";//相关内容实体列表名称
	
	public static final int PRE_SMS_LENGTH = 50;//预设短信字数
	public static final int SMS_CONTENT_LENGTH = 150;//预设短信字数
	
	public static final int TO_BACK_INDEX = 0;
	public static final int TO_BACK_LIST = 1;
	public static final int TO_BACK_STORE = 2;
	public static final int TO_BACK_SEARCH = 3;
	public static final int TO_BACK_EVENT_DETAIL=4;
	
	public static final int PHONE_NUMBER_LENGTH = 11;
	
	public static final String ACTION_ERROR = "com.gsww.cdyx.action.NOTIFY_ERROR";
	public static final String TABHOST_CHECKED = "1";

	public static final String SHARE_CUSTOMER_NOTCOMMEND = "0";
	public static final String SHARE_CUSTOMER_HIPSTER = "-";
	public static final String SHARE_CUSTOMER_ISCOMMEND = "1";
	public static final String SHARE_CUSTOMER_NOTCOMMEND_SUM = "0";
	public static final String SHARE_CUSTOMER_ISCOMMEND_SUM = "1";
	//活动
	public static final String SIGN_COLLAR_METER = "SIGN_COLLAR_METER";
	public static final String EVENT_DETAIL = "EVENT_DETAIL";
	//积分兑换
	public static final String USER_EXCHANGE_RECORDS="USER_EXCHANGE_RECORDS";

	//流量包
	public static final String PACKAGE_COMMEND_LIST="PACKAGE_COMMEND_LIST";

	//
	//流量包列表
	public static final String CMD_REC_PACKAGE_LIST = "NETWORK_PACKAGE_LIST"; //流量包列表
	public static final String PACKAGE_INTEGRATION_LIST="PACKAGE_INTEGRATION_LIST";
	public static final String PACKAGE_INTEGRATION_DETAIL="NETWORK_INTEGRATION";
	public static final String PACKAGE_PACKLOG_DETAIL="NETWORK_RECORD";//流量包营销记录详情常量
	//达人版
	public static final String HIPSTER_RELAY_SAVE="HIPSTER_RELAY_SAVE";//达人接力
	

}
