package com.gsww.plugin.utils;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * listgoutp
 * @author PC_ZHAO
 *
 */
public class ListAppGroup {
	 public static ListAppGroup instance;
	 public String  [] group={"影音播放","同步软件","即时通讯","图书阅读",
		                               "系统工具","金融理财","办公学习","社交网络",
		                               "生活娱乐","网络相关","应用工具","影音播放",
		                               "新闻资讯","策略经营","实用工具","棋牌桌游",
		                               "音乐节奏","角色扮演","安全防护","体育运动",
		                               "功能增强","网购支付","射击对战","虚拟养成",
		                               "休闲益智","拍摄美化","动作冒险","其它"};
	 public  static  List<String> groupkey=new ArrayList<String>(); 
	 
	 public  List    [] groupList=new List[group.length];
     //单例模式中获取唯一的CompleteQuit实例 
     public static ListAppGroup getInstance(){
    	 if(null == instance){
    		 instance=new ListAppGroup();
    	 }
    	 return instance; 
     }
	//list分组放在分组的map中
	public List  toGroupMap(List<Map<String, Object>> data){
		List resList=new ArrayList();
		//初始化
		 for(int i=0;i<group.length;i++){
	        	groupList[i]=new ArrayList();
	        	groupList[i].add(group[i]);
	        	groupkey.add(group[i]);
	     }
		
		Group group =new Group ();
		for(Map map:data){
			int res=group.compareTo((String)map.get("appSort"));
			groupList[res].add(map); 
		}
		for(List temp:groupList){
			if(temp.size()>1 ){
				resList.addAll(temp);
			}
		}
		return  resList;
	}
	//定义内部类比较类
	 class Group implements Comparable<String>, Cloneable {
		
		@Override
		public int compareTo(String type) {
		    for(int i=0;i<group.length;i++){
		    	if(group[i].equals(type)){
		    		return i;
		    	}
		    }
		    //默认其它分类
			return group.length-1;
			 
		}
	}
}
