package com.gsww.plugin.utils;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * listgoutp
 * @author PC_ZHAO
 *
 */
public class ListVideoGroup {
	 public static ListVideoGroup instance;
	 public String  [] group={"娱乐","资讯","原创","体育",
		                               "汽车","科技","游戏","生活",
		                               "时尚","旅游","母婴","搞笑",
		                               "广告","其它"};
	 public  static  List<String> groupkey=new ArrayList<String>(); 
	 
	 public  List    [] groupList=new List[group.length];
     //单例模式中获取唯一的CompleteQuit实例 
     public static ListVideoGroup getInstance(){
    	 if(null == instance){
    		 instance=new ListVideoGroup();
    	 }
    	 return instance; 
     }
	//list分组放在分组的map中
	public List  toGroupMap(List<Map<String, Object>> data){
		List resList=new ArrayList();
		//初始化
		 for(int i=0;i<group.length;i++){
	        	groupList[i]=new ArrayList();
	        	groupList[i].add(group[i]);
	        	groupkey.add(group[i]);
	     }
		
		Group group =new Group ();
		for(Map map:data){
			int res=group.compareTo((String)map.get("videoSort"));
			groupList[res].add(map); 
		}
		for(List temp:groupList){
			if(temp.size()>1 ){
				resList.addAll(temp);
			}
		}
		return  resList;
	}
	//定义内部类比较类
	 class Group implements Comparable<String>, Cloneable {
		
		@Override
		public int compareTo(String type) {
		    for(int i=0;i<group.length;i++){
		    	if(group[i].equals(type)){
		    		return i;
		    	}
		    }
		    //默认其它分类
			return group.length-1;
			 
		}
	}
}
